%global srcname notify-send.sh

Name:           notify-send-sh
Version:        1.2
Release:        %autorelease
Summary:        Drop-in replacement for notify-send with more features 

License:        GPL-3.0-or-later
URL:            https://github.com/vlevit/notify-send.sh
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  bash
BuildRequires:  coreutils

Requires:       bash
Requires:       coreutils
Requires:       glib2
Requires:       sed

%description
notify-send.sh is a drop-in replacement for notify-send (from libnotify) with
ability to update and close existing notifications.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
# Nothing to build

%install
install -Dpm0755 -t %{buildroot}%{_bindir} notify-{action,send}.sh

%check
./notify-send.sh --version

%files
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/notify-action.sh
%{_bindir}/notify-send.sh

%changelog
%autochangelog
